# Copyright (C) 2010 Nick Bowler
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

if BUILD_LBXGUI

LBXGUI_GLADE    = $(top_srcdir)/src/gui/lbxgui.glade
EXTRA_DIST     += $(LBXGUI_GLADE)
CLEANFILES     += src/gui/lbxgui_xml.c

noinst_HEADERS += src/gui/bg.xbm src/gui/render.h

src/gui/lbxgui_xml.c: $(LBXGUI_GLADE)
	$(AM_V_GEN) sed -e 's/"/\\"/g' \
	                -e 's/.*/"&"/' \
	                -e '1 s/^/char lbxgui_xml[] =\n/' \
	                -e '$$ s/$$/;/' $(LBXGUI_GLADE) > $@

bin_PROGRAMS += lbxgui
nodist_lbxgui_SOURCES = src/gui/lbxgui_xml.c
lbxgui_SOURCES        = src/gui/render.c src/gui/lbxgui.c
lbxgui_LDADD          = liblbx.la $(GTK_LIBS)
lbxgui_CPPFLAGS       = -I$(top_srcdir)/src
lbxgui_CFLAGS         = $(GTK_CFLAGS)
lbxgui_LDFLAGS        = $(AM_LDFLAGS) -export-dynamic

endif
